﻿
<#
.SYNOPSIS
Install windows-adk-all

.DESCRIPTION
Installs the Windows Assessment and Deployment Kit using the Chocolatey framework

.LINK
https://msdn.microsoft.com/en-us/windows/hardware/dn913721.aspx
#>

$ChocoPackage = @{
    packageName = 'Windows Assessment and Deployment Kit'
    url = 'http://download.microsoft.com/download/9/A/E/9AE69DD5-BA93-44E0-864E-180F5E700AB4/adk/adksetup.exe'
    checksum = '3DA6239A8D2039CB8EEC7C831B9C664A'
    silentArgs = "/quiet /norestart /log $env:temp\win_adk.log /features +"
    fileType = 'exe'
    validExitCodes = @(0,3010)
}

Install-ChocolateyPackage @ChocoPackage
